"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.options = void 0;
const chalk_1 = __importDefault(require("chalk"));
exports.options = {
    add: {
        type: String,
        group: "local",
        description: "adds additional files to include as possible autoindex sources; you can comma delimit to add more than one",
    },
    glob: {
        type: String,
        group: "local",
        description: 'replaces the glob file matching pattern with your own (however "node_modules" still excluded)',
    },
    sfc: {
        type: Boolean,
        group: "local",
        description: chalk_1.default `allows switching on the inclusion of VueJS SFC files; when turned on it is an {italic additive} inclusion where the configured export type is respected but the SFC's are always default exports who's name is transformed to the component name.`,
    },
    dir: {
        type: String,
        group: "local",
        description: 'by default will look for files in the "src" directory but you can redirect this to a different directory',
    },
    all: {
        alias: "a",
        type: Boolean,
        group: "local",
        description: chalk_1.default `this option can be used in monorepos to avoid the interactive dialog and always set the scope of autoindex to ALL packages`,
    },
    watch: {
        alias: "w",
        type: Boolean,
        group: "local",
        description: chalk_1.default `watches for changes and runs {italic autoindex} when detected`,
    },
    preserveExtension: {
        alias: "p",
        type: Boolean,
        group: "local",
        description: chalk_1.default `exports -- by default -- will {italic not} include the file's {blue .js} extension but sometimes with ES modules you want to include this. If you do then you should set this flag.`,
    },
};
