"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.options = void 0;
const chalk_1 = __importDefault(require("chalk"));
exports.options = {
    forceBuild: {
        alias: "f",
        type: Boolean,
        group: "local",
        description: chalk_1.default `by default functions will be derived from {italic serverless.yml} but if you are in a {italic typescript-microservice} project you can force a rebuild prior to listing the functions`,
    },
    profile: {
        type: String,
        group: "local",
        description: "allows you to explicitly state the AWS profile to use for this command",
    },
    region: {
        type: String,
        group: "local",
        description: "allows you to explicitly state the AWS region to use for this command",
    },
    stage: {
        type: String,
        group: "local",
        description: "allows the results to be filtered down to only those functions associated with a given stage",
    },
    json: {
        type: Boolean,
        group: "local",
        description: "display results as JSON instead of tables",
    },
    output: {
        type: String,
        typeLabel: "<filename>",
        group: "local",
        description: "output the AWS API as a JSON file in the local filesystem",
    },
};
