"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.aliases = exports.syntax = exports.options = exports.description = void 0;
const chalk_1 = __importDefault(require("chalk"));
exports.description = chalk_1.default `Package up resources for {bold Serverless} publishing but do not actually {italic deploy}.`;
exports.options = {
    stage: {
        type: String,
        typeLabel: "<stage>",
        group: "local",
        description: "the AWS stage which is being targetted",
    },
    profile: {
        type: String,
        typeLabel: "<profile>",
        group: "local",
        description: "The AWS credential profile being used for this CLI command",
    },
    region: {
        type: String,
        typeLabel: "<region>",
        group: "local",
        description: "The AWS region being used for this CLI command",
    },
    dir: {
        alias: "d",
        type: String,
        typeLabel: "<directory>",
        group: "local",
        description: chalk_1.default `by default assets are saved to the {italic .serverless} directory but you can change this to a different directory if you like.`,
    },
    validate: {
        type: Boolean,
        group: "local",
        description: chalk_1.default `after the package is completed the {bold cloudformation} template can be validated`,
    },
};
exports.syntax = "dd pkg <options>";
exports.aliases = ["package"];
