"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.options = void 0;
const chalk_1 = __importDefault(require("chalk"));
exports.options = {
    profile: {
        type: String,
        typeLabel: "<profileName>",
        group: "local",
        description: "set the AWS profile explicitly",
    },
    region: {
        type: String,
        typeLabel: "<region>",
        group: "local",
        description: "set the AWS region explicitly",
    },
    stage: {
        type: String,
        typeLabel: "<stage>",
        group: "local",
        description: "set the stage explicitly",
    },
    nonStandardPath: {
        type: Boolean,
        group: "local",
        description: "allows the naming convention for SSM paths to be ignored for a given operation",
    },
    description: {
        type: String,
        group: "local",
        description: "sets the description of the SSM variable (only used in ADD)",
    },
    force: {
        alias: "f",
        type: Boolean,
        group: "local",
        description: chalk_1.default `force a {italic set} operation to complete even when the variable being set alread exists`,
    },
    base64: {
        type: Boolean,
        group: "local",
        description: chalk_1.default `adding this flag will encode with base64 when adding and decode from base64 to utf-8 when getting`,
    },
};
