"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = void 0;
const core_1 = require("../../../shared/core/index");
const private_1 = require("../private/index");
const observations_1 = require("../../../shared/observations/index");
const npm_1 = require("../../../shared/npm/index");
const proxyToPackageManager_1 = require("../../../shared/core/proxyToPackageManager");
const handler = async ({ raw, observations }) => {
    const config = core_1.getProjectConfig();
    let unitTestFramework = observations_1.determineTestingFramework(observations, config);
    if (!unitTestFramework) {
        const answer = await private_1.askForUnitTestFramework();
        if (answer) {
            unitTestFramework = answer.fw;
        }
        else {
            // nothing more to do
            process.exit();
        }
    }
    if (npm_1.hasScript("test")) {
        proxyToPackageManager_1.proxyToPackageManager("test", observations, raw);
    }
};
exports.handler = handler;
