"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const core_1 = require("../shared/core/index");
const npm_1 = require("../shared/npm/index");
const command = {
    kind: "watch",
    handler: async ({ observations, raw }) => {
        if (!observations.has("packageJson")) {
            console.log(chalk_1.default `- {italic watching} files in the repo is something which can only happen in directory with a {blue package.json}`);
            process.exit();
        }
        if (observations.has("serverlessFramework")) {
            if (npm_1.hasScript("watch")) {
                console.log(chalk_1.default `{gray - {bold note:} this is a serverless project but because you have a "watch" script, we will prefer that over the default do-devops watcher}`);
                core_1.proxyToPackageManager("watch", observations, raw);
                process.exit();
            }
            else {
                console.log(chalk_1.default `- starting the Serverless Devops watcher`);
                //TODO: implement
                process.exit();
            }
        }
        await core_1.proxyToPackageManager("watch", observations, raw);
        process.exit();
    },
    description: "proxies your package manager's 'watch' command",
};
exports.default = command;
