"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const core_1 = require("../../shared/core/index");
const npm_1 = require("../../shared/npm/index");
const command = {
    kind: "why",
    handler: async ({ observations, raw }) => {
        if (raw.length === 0) {
            console.log(chalk_1.default `- invalid command syntax, you must state a repo to report on: {blue dd {bold [repo]} {italic [opts]}}\n`);
            if (observations.has("packageJson")) {
                console.log(chalk_1.default `{gray - you often want to target a repo that is listed as a dependency in this repo.\n- The deps in this repo are ({italic excluding dev deps}):}\n`);
                console.log(npm_1.pkgDepsInTable({ ignoreDevDeps: true }));
            }
            process.exit();
        }
        await core_1.proxyToPackageManager("why", observations, raw);
        process.exit();
    },
    description: "proxies your package manager's 'why' command",
};
exports.default = command;
