"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DevopsError = void 0;
const common_types_1 = require("common-types");
class DevopsError extends Error {
    constructor(message, classification = "do-devops/unknown") {
        super(message);
        this.kind = "DevopsError";
        const parts = classification.split("/");
        const [type, subType] = parts.length === 1 ? ["devops", parts[0]] : parts;
        this.name = `${type}/${subType}`;
        this.code = subType;
        this.classification = common_types_1.isTypeSubtype(classification)
            ? classification
            : `do-devops/${classification.replace(/\//g, "")}`;
    }
}
exports.DevopsError = DevopsError;
