"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.addAwsProfile = void 0;
const path_1 = __importDefault(require("path"));
const fs_1 = require("fs");
/**
 * **addAwsProfile**
 *
 * adds a new profile to a user's `~/.aws/credentials` file
 */
function addAwsProfile(name, profile) {
    const homedir = require("os").homedir();
    const filePath = path_1.default.join(homedir, ".aws/credentials");
    const fileContents = fs_1.readFileSync(filePath, "utf-8");
    if (fileContents.includes(`[${name}]`)) {
        throw new Error(`The AWS profile "${name}" already exists, attempt to add it has failed!`);
    }
    let newProfile = `\n[${name}]\n`;
    for (const key of Object.keys(profile)) {
        newProfile += `${key} = ${profile[key]}\n`;
    }
    fs_1.appendFileSync(filePath, newProfile);
}
exports.addAwsProfile = addAwsProfile;
