"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isAwsCredentials = exports.isAwsProfile = void 0;
/**
 * Type guard which detects whether a give input is a `IAwsProfile` object
 * representing the data in a credentials file in a snake_case fashion.
 */
function isAwsProfile(input) {
    return (typeof input === "object" &&
        input !== null &&
        Object.keys(input).includes("aws_access_key_id") &&
        Object.keys(input).includes("aws_secret_access_key"));
}
exports.isAwsProfile = isAwsProfile;
/**
 * Type guard which detects whether a give input is a `IAwsCred` object
 * representing the data in a credentials file in a snake_case fashion.
 */
function isAwsCredentials(input) {
    return (typeof input === "object" &&
        input !== null &&
        Object.keys(input).includes("accessKeyId") &&
        Object.keys(input).includes("secretAccessKey"));
}
exports.isAwsCredentials = isAwsCredentials;
