"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAwsProfileList = void 0;
const getAwsProfileDictionary_1 = require("./getAwsProfileDictionary");
/**
 * **getAwsProfileList**
 *
 * Interogates the `~/.aws/credentials` file to get an array of
 * profiles which the user has defined.
 *
 * Note: _there is also a_ `getAwsProfileDictionary()` _function if
 * prefer a dictionary._
 */
async function getAwsProfileList() {
    const dict = await getAwsProfileDictionary_1.getAwsProfileDictionary();
    const keys = Object.keys(dict);
    if (keys.length === 0) {
        return [];
    }
    return keys.map((i) => ({ ...dict[i], name: i }));
}
exports.getAwsProfileList = getAwsProfileList;
