"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCommand = void 0;
const commands = __importStar(require("../../../commands/index"));
const _types_1 = require("../../../@types/index");
const errors_1 = require("../../../errors/index");
/**
 * Pull off a specific _command's_ definition from a
 * subdirectory of `src/commands`.
 */
function getCommand(cmd) {
    const defn = commands[cmd];
    if (!_types_1.isDoDevopsCommand(defn)) {
        throw new errors_1.DevopsError(`The command "${cmd}" is not defined correctly! Make sure all commands export a valid 'IDoDevopsCommand' interface.`, "do-devops/invalid-command-definition");
    }
    return commands[cmd];
}
exports.getCommand = getCommand;
