"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.commandAnnouncement = void 0;
/* eslint-disable unicorn/prefer-module */
const chalk_1 = __importDefault(require("chalk"));
const doDevopsVersion_1 = require("./doDevopsVersion");
/**
 * Annouces the command being executed to the console
 */
function commandAnnouncement(cmdDefn, subCommand, isHelp) {
    const version = doDevopsVersion_1.doDevopsVersion();
    console.log(chalk_1.default.bold(`\ndo-devops ${chalk_1.default.green.italic.bold(cmdDefn ? `${cmdDefn.kind}${subCommand ? ` ${subCommand}` : ""}` : "Help")}${isHelp && cmdDefn ? chalk_1.default.dim.grey(` [help, v${version}]`) : ""}${isHelp && !cmdDefn ? chalk_1.default.dim.grey(` v${version}`) : ""}\n`));
}
exports.commandAnnouncement = commandAnnouncement;
