import { IDictionary } from "common-types";
import { DoDevopObservation, Finalized, IDoDevopsCommand } from "../../../@types/index";
/**
 * Gets _finalized_ meta information about the specific functions where being
 * _finalized_ indicates that dynamic values have been resolved to static values
 * by passing in the _observervations_ and parsed _options_ available at this time
 */
export declare function finalizeCommandDefinition(cmdDefn: IDoDevopsCommand, 
/** all known observations available at this time */
observations: Set<DoDevopObservation>, 
/** any/all parsed options available at this time */
options?: IDictionary): Finalized<IDoDevopsCommand>;
//# sourceMappingURL=finalizeCommandDefinition.d.ts.map