"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatCommandsSection = void 0;
const chalk_1 = __importDefault(require("chalk"));
const native_dash_1 = require("native-dash");
/**
 * Converts a set of commands into a display section
 */
function formatCommandsSection(subCommands, cmd) {
    return {
        header: cmd ? chalk_1.default `Sub-Commands for {bold ${cmd}}` : `Commands`,
        content: subCommands.map((sc, idx) => ({
            name: native_dash_1.isOdd(idx) ? chalk_1.default `{dim ${sc.name}}` : sc.name,
            summary: native_dash_1.isOdd(idx) ? chalk_1.default `{dim ${sc.summary}}` : sc.summary,
        })),
    };
}
exports.formatCommandsSection = formatCommandsSection;
