"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.directoryFiles = void 0;
const fs_1 = require("fs");
const path_1 = __importDefault(require("path"));
const errors_1 = require("../../errors/index");
/**
 * Returns all files in the specified directory along with their "stats".
 */
function directoryFiles(dir) {
    try {
        const files = fs_1.readdirSync(dir);
        return files.reduce((agg, file) => {
            const stats = fs_1.lstatSync(path_1.default.posix.join(dir, file));
            agg.push({ file, stats });
            return agg;
        }, []);
    }
    catch (error) {
        throw new errors_1.DevopsError(`Attempt to get files from the directory "${dir}" failed: ${error.message}`, "do-devops/directoryFiles");
    }
}
exports.directoryFiles = directoryFiles;
