"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fileExists = void 0;
const fs_1 = require("fs");
const os_1 = require("os");
const path_1 = __importDefault(require("path"));
const helpers_1 = require("../helpers/index");
/**
 * Checks for the existance of a file.
 *
 * > `~/` and `./` shorthands will be converted to a full path
 */
function fileExists(file) {
    file = helpers_1.interpolateFilePath(file);
    if (file.slice(0, 1) === "~") {
        file = path_1.default.posix.join(os_1.homedir(), file.slice(1));
    }
    return fs_1.existsSync(file);
}
exports.fileExists = fileExists;
