"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDataFiles = void 0;
const fast_glob_1 = __importDefault(require("fast-glob"));
const path_1 = __importDefault(require("path"));
const process_1 = __importDefault(require("process"));
function strip(opts) {
    return (results) => {
        if (opts.filterBy) {
            results = results.filter((i) => i.includes(opts.filterBy));
        }
        if (opts.stripFileExtension) {
            results = results.map((i) => i.replace(/(.*)\.\w*$/, "$1"));
        }
        const prefix = process_1.default.cwd() + "/test/data/";
        return results.map((i) => i.replace(prefix, ""));
    };
}
/**
 * Gets a list of data files from the
 * `test/data` directory.
 */
async function getDataFiles(opts = {}) {
    const glob = path_1.default.join(process_1.default.cwd(), "test/data", opts.fileType ? `**/*.${opts.fileType}` : "**/*");
    const results = await fast_glob_1.default(glob);
    return strip(opts)(results);
}
exports.getDataFiles = getDataFiles;
