"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMonoRepoPackages = void 0;
const path_1 = __importDefault(require("path"));
const fs_1 = require("fs");
/**
 * Gives back a list of packages in the **Lerna** monorepo. If the
 * "packages" directory does not exist then it will return
 * `false`, if there _is_ a packages directory but no sub-directories
 * you'll just get an empty array.
 */
function getMonoRepoPackages(baseDir) {
    const dir = path_1.default.posix.join(baseDir, "packages");
    if (!fs_1.existsSync(dir)) {
        return false;
    }
    return fs_1.readdirSync(dir, { withFileTypes: true })
        .filter((i) => i.isDirectory())
        .map((i) => i.name);
}
exports.getMonoRepoPackages = getMonoRepoPackages;
