"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.interpolateFilePath = void 0;
const os_1 = require("os");
const path_1 = __importDefault(require("path"));
/**
 * replaces filenames starting with `~/` to be in user's home directory, and
 * takes a partial path starting with `./` and converts to a fully qualified
 * directory path from current working directory.
 */
function interpolateFilePath(filename) {
    if (filename.slice(0, 2) === "~/") {
        filename = path_1.default.posix.join(os_1.homedir(), filename.slice(1));
    }
    if (filename.slice(0, 2) === "./") {
        filename = path_1.default.posix.join(process.cwd(), filename.slice(2));
    }
    return filename;
}
exports.interpolateFilePath = interpolateFilePath;
