"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.saveFileToHomeDirectory = void 0;
const fs_1 = require("fs");
const errors_1 = require("../../errors/index");
const path_1 = __importDefault(require("path"));
function saveFileToHomeDirectory(filename, data, overwrite = true) {
    const homedir = require("os").homedir();
    const fqName = path_1.default.join(homedir, filename);
    const allowWrite = overwrite || !fs_1.existsSync(fqName);
    if (!allowWrite) {
        throw new errors_1.DevopsError(`Attempt to write file "${filename}" to user's home directory will not be allowed as the file already exists!`, "not-allowed");
    }
    fs_1.writeFileSync(fqName, typeof data === "string" ? data : JSON.stringify(data));
}
exports.saveFileToHomeDirectory = saveFileToHomeDirectory;
