"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.saveYamlFile = void 0;
const chalk_1 = __importDefault(require("chalk"));
const path_1 = __importDefault(require("path"));
const util_1 = require("util");
const js_yaml_1 = require("js-yaml");
const fs_1 = require("fs");
const write = util_1.promisify(fs_1.writeFile);
async function saveYamlFile(filename, data) {
    try {
        console.log(data);
        const yamlData = js_yaml_1.dump(data);
        const fqFilename = path_1.default.join(process.cwd(), filename);
        await write(fqFilename, yamlData, { encoding: "utf-8" });
        return;
    }
    catch (error) {
        console.log(chalk_1.default `- {red writing the {bold {italic ${filename}} YAML file has failed!} ${"\uD83D\uDCA9" /* poop */}}`);
        console.log(error.message);
        console.log(chalk_1.default `{dim ${error.stack}}`);
        process.exit();
    }
}
exports.saveYamlFile = saveYamlFile;
