"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.askConfirmQuestion = void 0;
const ask_1 = require("./ask");
/**
 * **confirmQuestionNow**
 *
 * Asks the user a yes/no question. For example:
 *
 * ```ts
 * const continue = await confirmQuestionNow('Shall we continue?');
 * ```
 *
 * **Note:** use this function when you want to ask a question right away.
 * If you want to compose functions into an array of questions and then ask,
 * use `confirmQuestion()` instead.
 */
const askConfirmQuestion = async (question) => {
    const q = {
        type: "confirm",
        name: "yesOrNo",
        message: question,
    };
    const answer = await ask_1.ask(q);
    return answer.yesOrNo;
};
exports.askConfirmQuestion = askConfirmQuestion;
