import { ListQuestion } from "inquirer";
/**
 * **listQuestionNow**
 *
 * Utility function to ask a list based question to a
 * user immediately.
 *
 * ```ts
 * const answer = listQuestionNow(
 *    "myQuestion",
 *    "What is your fav color?",
 *    ["red", "blue", "green"]
 * );
 * ```
 *
 * Note: if you want to compose the question with others,
 * use `listQuestion()` instead.
 */
export declare function askListQuestion<T extends any = any>(question: string, choices: ListQuestion["choices"] & T[], defaultValue?: ListQuestion["default"]): Promise<T>;
//# sourceMappingURL=askListQuestion.d.ts.map