"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.askListQuestion = void 0;
const ask_1 = require("./ask");
/**
 * **listQuestionNow**
 *
 * Utility function to ask a list based question to a
 * user immediately.
 *
 * ```ts
 * const answer = listQuestionNow(
 *    "myQuestion",
 *    "What is your fav color?",
 *    ["red", "blue", "green"]
 * );
 * ```
 *
 * Note: if you want to compose the question with others,
 * use `listQuestion()` instead.
 */
async function askListQuestion(question, choices, defaultValue) {
    const q = {
        type: "list",
        name: "listValue",
        message: question,
        choices,
        default: defaultValue,
    };
    const answer = await ask_1.ask(q);
    return answer.listValue;
}
exports.askListQuestion = askListQuestion;
