"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.confirmQuestion = void 0;
/**
 * Builds a composable boolean/confirm based question. For example:
 *
 * ```ts
 * const questions = {
 *    ...confirmQuestion('continue', 'are you sure?');
 * }
 * ```
 *
 * **Note:** use this function when you're composing several questions
 * together and are intending to just define the question with the _ask_
 * coming later. If you want to just immediately ask the question then
 * use the `confirmQuestionNow()` instead.
 */
const confirmQuestion = (name, question) => {
    return {
        type: "confirm",
        name,
        message: question,
    };
};
exports.confirmQuestion = confirmQuestion;
