"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.listQuestion = void 0;
/**
 * **listQuestion**
 *
 * Utility function to add a list based question to a
 * composed set of questions.
 *
 * ```ts
 * const survey = {
 *  ...listQuestion(
 *    "myQuestion",
 *    "What is your fav color?",
 *    ["red", "blue", "green"]
 *  );
 * };
 * ```
 *
 * Note: if you want to ask the question immediately, use
 * `listQuestionNow()` instead.
 */
function listQuestion(name, question, choices, defaultValue) {
    return {
        type: "list",
        name,
        message: question,
        choices,
        default: defaultValue,
    };
}
exports.listQuestion = listQuestion;
