"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolvePackageManagerConflict = void 0;
const interactive_1 = require("../index");
const core_1 = require("../../core/index");
const npm_1 = require("../../npm/index");
const chalk_1 = __importDefault(require("chalk"));
async function resolvePackageManagerConflict(observations) {
    const pkgManager = await interactive_1.askListQuestion("Which package manager do you expect to use in this repo?", ["npm", "pnpm", "yarn"], observations.has("pnpm") ? "pnpm" : observations.has("yarn") ? "yarn" : "npm");
    await core_1.saveToProjectConfig("general", { pkgManager });
    const removed = await npm_1.removeOtherLockFiles(pkgManager);
    if (removed.length > 0) {
        console.log(chalk_1.default `- removed ${removed.length} redundant lock file${removed.length > 1 ? "s" : ""}: {italic {dim ${removed.join(", ")}}}`);
    }
}
exports.resolvePackageManagerConflict = resolvePackageManagerConflict;
