"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.exportsAsEsm = void 0;
const errors_1 = require("../../errors/index");
const index_1 = require("./index");
/**
 * Returns a boolean flag to indicate whether the `package.json`
 * is claiming this package to be a **ES** module or just plain
 * old **CJS** module.
 *
 * This is determined via the `type` property
 * and your mileage with this may vary depending on your module
 * building strategy and what stage of the build process your
 * looking to test for.
 */
function exportsAsEsm() {
    const pkg = index_1.getPackageJson();
    if (!pkg) {
        throw new errors_1.DevopsError(`While checking package.json for the "type" of module, the package.json was not found!`, "not-ready/missing-package-json");
    }
    return pkg.type === "module";
}
exports.exportsAsEsm = exportsAsEsm;
