"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasMainExport = void 0;
const path_1 = __importDefault(require("path"));
const npm_1 = require("./index");
/**
 * Tests whether the package.json has a `main` entry point / export which
 * typically suggest a CommonJS code export.
 *
 * > Optionally, you can state the name of a _dependency_ and it will
 * check for a script in the package.json of the dependency.
 */
function hasMainExport(dep) {
    if (dep) {
        dep = path_1.default.join(process.cwd(), "node_modules/", `${dep.replace(/\/{0,1}node_modules\/{0,1}/, "")}`);
    }
    const pkg = dep ? npm_1.getPackageJson(dep) : npm_1.getPackageJson();
    return pkg.main && pkg.main.length > 0 ? true : false;
}
exports.hasMainExport = hasMainExport;
