"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasScript = void 0;
const npm_1 = require("./index");
/**
 * Tests whether the package.json has a particular `script` name.
 *
 * Optionally, you can state the name of a _dependency_ and it will
 * check for a script in the package.json of the dependency.
 */
function hasScript(script, dep) {
    if (dep) {
        dep = `node_modules/${dep.replace(/\/{0,1}node_modules\/{0,1}/, "")}`;
    }
    const pkg = dep ? npm_1.getPackageJson(dep) : npm_1.getPackageJson();
    return Object.keys(pkg.scripts || {}).includes(script);
}
exports.hasScript = hasScript;
