"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.installDevDep = void 0;
const chalk_1 = __importDefault(require("chalk"));
const shelljs_1 = require("shelljs");
const observations_1 = require("../observations/index");
async function installDevDep(observations, name) {
    const pkgManager = await observations_1.determinePackageManager(observations);
    const cmd = pkgManager === "yarn" ? `yarn add --dev ${name}` : `${pkgManager}`;
    console.log(chalk_1.default `- installing with {blue ${cmd}}`);
    const response = shelljs_1.exec(cmd);
    if (response.code === 0) {
        console.log(chalk_1.default `- ${"\uD83C\uDF89" /* party */} ${name} {italic installed} as a dev dependency`);
    }
    else {
        console.log(chalk_1.default `- ${"\uD83D\uDCA9" /* poop */} failure while trying to install "${name}" [${response.code}]`);
        console.log(chalk_1.default `\n{gray ${response.stderr}}\n`);
    }
    return response.code === 0 ? true : false;
}
exports.installDevDep = installDevDep;
