"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cacheRemotePackageJson = exports.getRemotePackageJson = exports.cacheLocalPackageJson = exports.getPackageJsonfromCache = void 0;
/**
 * Allows the packageJson (for the local repo)
 * to be cashed so there is no need to continue
 * to reload it in a single execution
 */
let packageJson;
const pathBasedPackageJson = {};
function getPackageJsonfromCache(overridePath) {
    return overridePath
        ? pathBasedPackageJson[overridePath] || false
        : packageJson
            ? packageJson
            : false;
}
exports.getPackageJsonfromCache = getPackageJsonfromCache;
function cacheLocalPackageJson(pkgJson, pathOverride) {
    if (pathOverride) {
        pathBasedPackageJson[pathOverride] = pkgJson;
    }
    else {
        packageJson = pkgJson;
    }
}
exports.cacheLocalPackageJson = cacheLocalPackageJson;
/**
 * Allows caching of remote package.json repos
 */
const remotePackageJsons = {};
function getRemotePackageJson(repo) {
    return remotePackageJsons[repo] ? remotePackageJsons[repo] : false;
}
exports.getRemotePackageJson = getRemotePackageJson;
function cacheRemotePackageJson(repo, pkgJson) {
    remotePackageJsons[repo] = pkgJson;
}
exports.cacheRemotePackageJson = cacheRemotePackageJson;
