"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeOtherLockFiles = void 0;
const file_1 = require("../../file/index");
const pm_constants_1 = require("./pm-constants");
/**
 * Removes the lock files for the "other" package managers.
 *
 * @returns an array of files removed
 */
async function removeOtherLockFiles(pkgMgr) {
    const toRemove = pm_constants_1.PACKAGE_MANAGERS.filter((i) => i !== pkgMgr);
    const files = [];
    for (const mngr of toRemove) {
        const file = pm_constants_1.PKG_MGR_LOCK_FILE_LOOKUP[mngr];
        const filepath = file_1.currentDirectory(file);
        if (file_1.fileExists(filepath)) {
            files.push(file);
            file_1.removeFile(filepath);
        }
    }
    return files;
}
exports.removeOtherLockFiles = removeOtherLockFiles;
