import { LintObservation } from "../../@types/observations";
import { IDictionary } from "common-types";
import { String } from "aws-sdk/clients/acm";
export interface ILinterInfo {
    config: IDictionary;
    filename: string;
}
export interface IObservedLinters {
    observations: Set<LintObservation>;
    tslint: boolean | ILinterInfo;
    eslint: boolean | ILinterInfo;
    prettier: boolean | String;
}
/**
 * Looks for linters by interogating the `package.json` as well as looking for
 * configuration files.
 *
 * The two linters we're looking for are `eslint` and `tslint`. The return type
 * will be set to false if it looks like they're not present but if they _are_
 * present we will send back the configuration file as text if it can be found.
 */
export declare function determineLinter(): IObservedLinters;
//# sourceMappingURL=determineLinter.d.ts.map