import { PackageManagerObservation, DoDevopObservation } from "../../@types/observations";
/**
 * Based on all observations made at startup, this function will try to
 * determine which package manager is being used in the current repo.
 *
 * If it can not be determined, you may optionally switch to interactive mode
 * to get this information but otherwise it will return false.
 *
 * Note: if there's no `package.json` in current directory it will throw an error.
 */
export declare function determinePackageManager(observations: Set<DoDevopObservation>, interactive?: boolean): Promise<false | PackageManagerObservation>;
//# sourceMappingURL=determinePackageManager.d.ts.map