import { IGlobalOptions } from "../core/index";
import { DoDevopObservation } from "../../@types/observations";
export interface IProfileOptions extends IGlobalOptions {
    profile?: string;
    interactive?: boolean;
}
/**
 * Based on CLI, serverless info, and config files, determine which
 * AWS `profile` the serverless command should leverage for credentials
 * as well as -- optionally -- the _region_. Sequence is:
 *
 * - look at `CLI switches` for explicit statement about profile
 * - if serverlessYaml, use serverless config to determine
 * - look at the global default for the `project configuration`
 * - look at the global default for the `user configuration`
 * - if "interactive", then ask user for profile name from available options
 */
export declare function determineProfile(opts: IProfileOptions, observations?: Set<DoDevopObservation>): Promise<string | false>;
//# sourceMappingURL=determineProfile.d.ts.map