import { DoDevopObservation } from "../../@types/observations";
import { IGlobalOptions } from "../core/index";
export interface IRegionOptions extends IGlobalOptions {
    interactive?: boolean;
    region?: string;
    profile?: string;
}
/**
 * Determines the appropriate AWS `region` to point at based on CLI switches/options,
 * the Serverless configuration, and the global `do` config defaults.
 *
 * If an appropriate region can't be determined this function will return `false`.
 */
export declare function determineRegion(opts?: IRegionOptions, observations?: Set<DoDevopObservation>): Promise<string | undefined>;
//# sourceMappingURL=determineRegion.d.ts.map