"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.determineTestingFramework = void 0;
/**
 * Determines the unit testing framework being used in the current
 * working directory. If it can not determine then it will return `false`.
 */
function determineTestingFramework(observations, config) {
    const known = ["ava", "jasmine", "jest", "mocha", "qunit", "uvu"];
    for (const fw of known) {
        if (observations.has(fw)) {
            return fw;
        }
    }
    return config && config.projectConfig && config.test?.unitTestFramework
        ? config.test.unitTestFramework
        : false;
}
exports.determineTestingFramework = determineTestingFramework;
