"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.detectDuplicateFunctionDefinitions = void 0;
function detectDuplicateFunctionDefinitions(lookup) {
    const vals = Object.values(lookup);
    const dups = [];
    for (const fn of vals) {
        if (!dups.map((i) => i.fn).includes(fn)) {
            const locations = Object.keys(lookup).reduce((acc, curr) => {
                if (lookup[curr] === fn) {
                    acc.push(curr);
                }
                return acc;
            }, []);
            if (locations.length > 1) {
                dups.push({
                    fn,
                    message: `- ${"\uD83D\uDE21" /* angry */}  the function "${fn}" is defined more than once [ ${locations.length} ]: ${locations.join(", ")}`,
                    locations,
                });
            }
        }
    }
    return dups;
}
exports.detectDuplicateFunctionDefinitions = detectDuplicateFunctionDefinitions;
