import { IServerlessFnDictionary } from "../../../@types/index";
/**
 * **reduceToRelativePath**
 *
 * Reduces the file path to just the relative path _beyond_ the passed in `root` path
 */
export declare function reduceToRelativePath(root: string, fullyQualifiedPath: string): string;
/**
 * **getFilenameWithoutExtension**
 *
 * Given a path, filename, and extension (including `.def.ts` as an extension type);
 * this function will return just the filename component.
 */
export declare function getFilenameWithoutExtension(filePath: string): string;
export declare function createFunctionDictionary(rootPath?: string): Promise<IServerlessFnDictionary[]>;
/**
 * **writeServerlessFunctionExports**
 *
 * writes all serverless function definition/configurations to the
 * `serverless-config/functions.ts` file. This file will not only
 * export all function definitions but will also provide a typescript
 * **type** called `IDefinedServerlessFunction` which will be a set of
 * string names which are defined in the given repo
 *
 * @param basePath you may alternatively state a base file path to use
 * when looking for function definition files (aka, files named `*.defn.ts`)
 * @param output rather than exporting to the file `serverless-config/functions.ts` you
 * may state an alternative
 */
export declare function writeServerlessFunctionExports(basePath?: string, output?: string): Promise<void>;
//# sourceMappingURL=functions.d.ts.map