"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFunctionNames = void 0;
/**
 * **getFunctionNames**
 *
 * Given a set of paths to function definition files, will return a
 * lookup hash which provides the "function name" as the output
 */
function getFunctionNames(paths) {
    return paths.reduce((acc, current) => {
        const filename = (current.split("/").pop() || "").replace(".defn.ts", "");
        acc[current] = filename;
        return acc;
    }, {});
}
exports.getFunctionNames = getFunctionNames;
