import { IDictionary } from "common-types";
/**
 * **getNamespacedFilename**
 *
 * Directories off of the "root/base" should be considered a "namespace" so that
 * function names do not collide as well as to ensure that a functions "context"
 * if fully captured by the name. For this reason a handler function named
 * `netlify/deployWebhook.ts` will be resolved to `service-name-[stage]-netlifyDeployWebhook`.
 *
 * This function is reponsible for providing a lookup hash who's keys are
 * the passed in
 */
export declare function getNamespacedLookup(fns: string[], basePath?: string): IDictionary<any>;
//# sourceMappingURL=getNamespacedLookup.d.ts.map