import { IWebpackHandlerDates } from "../../@types/index";
/**
 * Based on the inline serverless functions, it gets the following:
 *
 * 1. `fn` - the function name _without_ file path or extension
 * 2. `source` - path -- including filename -- of the source file
 * 3. `sourceModified` - the date the source was last modified
 * 4. `webpack` - the path and filename to the transpiled webpack code
 * 5. `webpackModified` - the date the webpack transpiled code was last modified
 *
 * **Note:** this function _caches_ results for better performance but you
 * can break the cache by send in a `true` value to the `breakCache` parameter.
 */
export declare function getLocalHandlerInfo(breakCache?: boolean): IWebpackHandlerDates[];
//# sourceMappingURL=getLocalHandlerInfo.d.ts.map