"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.saveToServerlessYaml = void 0;
const chalk_1 = __importDefault(require("chalk"));
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const js_yaml_1 = require("js-yaml");
async function saveToServerlessYaml(data) {
    try {
        const filename = path_1.default.join(process.cwd(), "serverless.yml");
        console.log({ filename, data });
        const yamlData = js_yaml_1.dump(data);
        fs_1.default.writeFileSync(filename, yamlData, { encoding: "utf-8" });
    }
    catch (error) {
        console.log(chalk_1.default `- {red writing the {bold serverless.yml} file has failed!} ${"\uD83D\uDCA9" /* poop */}`);
        console.log(error.message);
        console.log(chalk_1.default `{dim ${error.stack}}`);
        process.exit();
    }
}
exports.saveToServerlessYaml = saveToServerlessYaml;
