import { ColumnUserConfig } from "table";
export declare type ColumnOnly<K> = K;
export declare type ColumnFormulaTuple<T extends object, K extends keyof T = keyof T> = [
    K,
    (prop: T[K]) => unknown
];
export declare type AdvancedColumn<T extends object, K extends keyof T & string = keyof T & string> = {
    col: K;
    formula?: (prop: T[K]) => unknown;
    /** by default the column is the name but you can specify your own where required */
    name?: string;
    /** the minimum width of the console for this column to appear */
    minWidth?: number;
    format?: ColumnUserConfig;
};
export declare type TableColumn<T extends object, K extends keyof T & string> = ColumnOnly<K> | ColumnFormulaTuple<T, K> | AdvancedColumn<T, K>;
export declare function isAdvancedColumn<T extends object, K extends keyof T & string>(col: TableColumn<T, K>): col is AdvancedColumn<T, K>;
export declare function isColumnTuple<T extends object, K extends keyof T & string>(col: TableColumn<T, K>): col is ColumnFormulaTuple<T, K>;
/**
 * **toTable**
 *
 * Utility function to take an array of values -- in dictionary form --
 * and return them back in a form which can be brought into the `table`
 * library as data.
 */
export declare function toTable<T extends object, K extends keyof T & string = keyof T & string>(data: T[], ...columns: Array<TableColumn<T, K>>): string;
//# sourceMappingURL=toTable.d.ts.map