"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getYeomanScaffolds = void 0;
const fs_1 = require("fs");
const destr_1 = __importDefault(require("destr"));
const path_1 = __importDefault(require("path"));
/**
 * Get's the name(s) of the scaffolding repo(s) used for the given project. The return
 * is always an array of strings; if no scaffold is found then the array will be empty.
 *
 * Note: it is _possible_ that there is more than one but this would be considered
 * highly unusual.
 */
function getYeomanScaffolds() {
    const yoFile = path_1.default.posix.join(process.cwd(), ".yo-rc.json");
    const hasYo = fs_1.existsSync(yoFile);
    if (!hasYo) {
        return [];
    }
    return Object.keys(destr_1.default(fs_1.readFileSync(yoFile, "utf-8")));
}
exports.getYeomanScaffolds = getYeomanScaffolds;
